interface SessionDataRecord {
    _id: any;
    when?: any;
    firstoccur?: Date;
}
interface MedsRecord extends SessionDataRecord {
    action?: string;
    status?: string;
    prevStatus?: string;
    monitor?: boolean;
    units?: number;
    prn?: boolean;
    newAlert?: boolean;
    blisterPack?: boolean;
    isCream?: boolean;
    medDesc?: string;
}
interface ResponsibilityRecord extends SessionDataRecord {
    responsibility: string;
    responsiblePerson?: string;
}
interface IMedsSession {
    meds: Array<MedsRecord>;
    responsibility: Array<ResponsibilityRecord>;
}
interface IMedsSessions {
    [key: string]: IMedsSession;
}
export declare const isRegular: (item: any) => boolean;
export declare const format: (d: Date) => string;
export declare const arrangeSessions: (hours: number[], timezone: string, start: Date, end: Date, meds: MedsRecord[], responsibility: ResponsibilityRecord[], RRule: any, _: any) => IMedsSessions;
export declare const slotNumbers: (meds: MedsRecord[], historical: boolean) => number[];
export {};
